
Infrastructure - Task #3590

Story # 3585 (Closed): Rollout 1.1.1. to Production

Upgrade Production CNs

2013-02-18 21:12 - Robert Waltz

Status: Closed Start date: 2013-02-18

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: 2013.8-Block.1.4   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

on each of the CNs

disable d1-processing by setting processing property to FALSE

vi /etc/dataone/process/synchronization.properties

Synchronization.active=FALSE

LogAggregation and Replication should be set to false in environments where they are running too

confirm through log files that sychronization is not actively processing tasks, then shutdown processing

look for the lines in /var/log/dataone/synchronize/cn-synchronization.log

(SyncObjectTask:call:108) All Tasks are complete. Shutting down

(SyncObjectTaskManager:run:80) Excecution Disabled continue polling until shutdown

 

Shutdown processing

/etc/init.d/d1-processing stop

 

after processes are turned off remember to set the synch property back to true

vi /etc/dataone/process/synchronization.properties

Synchronization.active=TRUE

For Each CN

Make certain CN is out of the RR

/etc/init.d/d1-index-task-generator stop

/etc/init.d/d1-index-task-processor stop

run apt-get update

run apt-get upgrade

When TC is back up on a CN

/etc/init.d/d1-index-task-processor start

/etc/init.d/d1-index-task-generator start

when all CNs are back up and the RR is restoreed

Turn on Processing
/etc/init.d/d1-processing start

 

History

#1 - 2013-02-18 21:54 - Robert Waltz

- Description updated

#2 - 2013-02-19 00:37 - Robert Waltz

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
